VkExternalSemaphoreProperties Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
void * | pNext
VkExternalSemaphoreHandleTypeFlags | exportFromImportedHandleTypes
VkExternalSemaphoreHandleTypeFlags | compatibleHandleTypes
VkExternalSemaphoreFeatureFlags | externalSemaphoreFeatures

## Detailed Description

Definition at line 4461 of file vulkan_core.h.

## Field Documentation

## compatibleHandleTypes

VkExternalSemaphoreHandleTypeFlags VkExternalSemaphoreProperties::compatibleHandleTypes

Definition at line 4465 of file vulkan_core.h.

## exportFromImportedHandleTypes

VkExternalSemaphoreHandleTypeFlags VkExternalSemaphoreProperties::exportFromImportedHandleTypes

Definition at line 4464 of file vulkan_core.h.

## externalSemaphoreFeatures

VkExternalSemaphoreFeatureFlags VkExternalSemaphoreProperties::externalSemaphoreFeatures

Definition at line 4466 of file vulkan_core.h.

## pNext

void* VkExternalSemaphoreProperties::pNext

Definition at line 4463 of file vulkan_core.h.

## sType

VkStructureType VkExternalSemaphoreProperties::sType

Definition at line 4462 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h